{ host, ... }:
let
  inherit (import ../../hosts/${host}/variables.nix) intelId nvidiaId;
in
{
  imports = [
    ../../hosts/${host}
    ../../modules/drivers
    ../../modules/core
  ];

  # Enable drivers
  drivers.amdgpu.enable = false;
  drivers.nvidia.enable = true;
  drivers.nvidia-prime = {
    enable = true;
    intelBusId = "${intelId}";
    nvidiaBusId = "${nvidiaId}";
  };
  drivers.intel.enable = false;


  boot.initrd.kernelModules = [ "i915" "nvidia" "nvidia_modeset" "nvidia_uvm" "nvidia_drm" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.blacklistedKernelModules = [ "nouveau" ];
  boot.kernelParams = [ "nvidia_drm.modeset=1" "nvidia_drm.fbdev=1" ];
  #boot.kernelParams = [ "split_lock_detect=off" "module_blacklist=nouveau" "module_blacklist=amdgpu" "i915.modeset=1" "nvidia_drm.modeset=1" "nvidia_drm.fbdev=1" "nvidia.NVreg_PreserveVideoMemoryAllocations=1" "NVreg_UsePageAttributeTable=1" ];
}
